import { IProject, IProjectEnv, Scaffolder } from "@telerik/scaffolding";
import { Chart as ChartPageUserInput } from "./schema";
import type GridPageOptions from "./schema.json";
export declare class ChartPageScaffolder extends Scaffolder<ChartPageUserInput> {
    static schema(): Promise<typeof GridPageOptions>;
    readChartMustaches(type: string): Promise<string>;
    apply(project: IProject, env: IProjectEnv): Promise<void>;
}
